## org.eclipse.emf.codegen.merge.java
Class JControlModel.PushRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.PushRule

Enclosing class:
  JControlModel

    public static class JControlModel.PushRule

extends java.lang.Object

A push rule restricts what elements are pushed from the source to the target. By default, if there are no push rules for the specific element type (element is not an instance of selector class of any rules), then the element is pushed.

If element is an instance of selector class of at least one push rule, then the element is pushed only if the element is marked up by at least one push rule with matching selector class.

If none of mark-up and targetParentMarkup is set in the push rule with matching selector class, then node is marked up. If both mark-up and targetParentMarkup is set, then the node is marked up only if node and its parent in the target are marked up respectively. If mark-up or targetParentMarkup is set, the node is marked up if node or its parent in the target are marked up respectively.

Field Summary
`protected java.lang.String` `classPrefix`
`protected java.util.regex.Pattern` `markup`
`protected java.lang.String` `name`
`protected java.lang.Class<?>` `selector`
`protected java.util.regex.Pattern` `targetParentMarkup`

Constructor Summary
`JControlModel.PushRule(java.lang.String classPrefix)`
`JControlModel.PushRule(java.lang.String classPrefix, org.w3c.dom.Element element)`

Method Summary
`java.lang.String` `getClassPrefix()`
`java.util.regex.Pattern` `getMarkup()`
`java.lang.String` `getName()`
`java.lang.Class<?>` `getSelector()`
`java.util.regex.Pattern` `getTargetParentMarkup()`
`void` `initialize(org.w3c.dom.Element element)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setMarkup(java.util.regex.Pattern markup)`
`void` `setName(java.lang.String name)`
`void` `setSelector(java.lang.Class<?> selector)`
`void` `setTargetParentMarkup(java.util.regex.Pattern targetParentMarkup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### selector

    protected java.lang.Class<?> selector

### markup

    protected java.util.regex.Pattern markup

### targetParentMarkup

    protected java.util.regex.Pattern targetParentMarkup

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.PushRule

    public JControlModel.PushRule(java.lang.String classPrefix)

### JControlModel.PushRule

    public JControlModel.PushRule(java.lang.String classPrefix,
                                  org.w3c.dom.Element element)

Method Detail

### initialize

    public void initialize(org.w3c.dom.Element element)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSelector

    public java.lang.Class<?> getSelector()

### setSelector

    public void setSelector(java.lang.Class<?> selector)

### getMarkup

    public java.util.regex.Pattern getMarkup()

### setMarkup

    public void setMarkup(java.util.regex.Pattern markup)

### getTargetParentMarkup

    public java.util.regex.Pattern getTargetParentMarkup()

### setTargetParentMarkup

    public void setTargetParentMarkup(java.util.regex.Pattern targetParentMarkup)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.